# KeypadInputTrait.SendKeyCommand

# KeypadInputTrait.SendKeyCommand


```
object KeypadInputTrait.SendKeyCommand : CommandDescriptor
```

<br />

*** ** * ** ***

Process a key code as input to the media device.

| See also |
|---|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputCommands#sendKey(com.google.home.matter.standard.KeypadInputTrait.CecKeyCodeEnum)` | Use this command from the `trait(KeypadInput)` method. |

## Summary

| ### Nested types |
|---|
| `class https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputTrait.SendKeyCommand.Request : https://developers.home.google.com/reference/kotlin/com/google/home/ClusterStruct` The request payload for the SendKey command. |
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputTrait.SendKeyCommand.Request.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's request fields. |
| `class https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputTrait.SendKeyCommand.Response : https://developers.home.google.com/reference/kotlin/com/google/home/ClusterStruct` The result of the `SendKey` command. |
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputTrait.SendKeyCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/Field?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputTrait.SendKeyCommand#getCommandRequestFieldByName(kotlin.String)(name: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` |

| ### Public properties |
|---|---|
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputTrait.SendKeyCommand#commandId()` Unique id corresponding to the command. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/KeypadInputTrait.SendKeyCommand#commandName()` Human-friendly name of the command. |

## Public functions

### getCommandRequestFieldByName

```
@HomeExperimentalGenericApi
open fun getCommandRequestFieldByName(name: String): Field?
```

## Public properties

### commandId

```
open val commandId: String
```

Unique id corresponding to the command.

### commandName

```
open val commandName: String
```

Human-friendly name of the command.